Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/BankBusinessDay/FrmBBD.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/BankBusinessDay/FrmBBD.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/BankBusinessDay/FrmBBD.Designer.cs	(revision 302)
@@ -0,0 +1,391 @@
+﻿namespace ProcessManagement.Forms.Master
+{
+    partial class FrmBBD
+    {
+        /// <summary>
+        /// 必要なデザイナー変数です。
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// 使用中のリソースをすべてクリーンアップします。
+        /// </summary>
+        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows フォーム デザイナーで生成されたコード
+
+        /// <summary>
+        /// デザイナー サポートに必要なメソッドです。このメソッドの内容を
+        /// コード エディターで変更しないでください。
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.label1 = new System.Windows.Forms.Label();
+            this.lblMonth01 = new System.Windows.Forms.Label();
+            this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
+            this.lblMonth02 = new System.Windows.Forms.Label();
+            this.lblMonth03 = new System.Windows.Forms.Label();
+            this.lblMonth04 = new System.Windows.Forms.Label();
+            this.lblMonth05 = new System.Windows.Forms.Label();
+            this.lblMonth06 = new System.Windows.Forms.Label();
+            this.lblMonth07 = new System.Windows.Forms.Label();
+            this.lblMonth08 = new System.Windows.Forms.Label();
+            this.lblMonth09 = new System.Windows.Forms.Label();
+            this.lblMonth10 = new System.Windows.Forms.Label();
+            this.lblMonth11 = new System.Windows.Forms.Label();
+            this.lblMonth12 = new System.Windows.Forms.Label();
+            this.btnDataDelete = new System.Windows.Forms.Button();
+            this.btnDataEntry = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.label2 = new System.Windows.Forms.Label();
+            this.numUDYear = new System.Windows.Forms.NumericUpDown();
+            this.tableLayoutPanel1.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.numUDYear)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // label1
+            // 
+            this.label1.BackColor = System.Drawing.Color.GreenYellow;
+            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label1.ForeColor = System.Drawing.Color.Black;
+            this.label1.Location = new System.Drawing.Point(330, 10);
+            this.label1.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(500, 20);
+            this.label1.TabIndex = 6;
+            this.label1.Text = "銀　行　営　業　日　登　録";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth01
+            // 
+            this.lblMonth01.BackColor = System.Drawing.Color.White;
+            this.lblMonth01.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth01.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth01.Location = new System.Drawing.Point(3, 0);
+            this.lblMonth01.Name = "lblMonth01";
+            this.lblMonth01.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth01.TabIndex = 7;
+            this.lblMonth01.Text = "2015年1月";
+            this.lblMonth01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // tableLayoutPanel1
+            // 
+            this.tableLayoutPanel1.ColumnCount = 4;
+            this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 284F));
+            this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 284F));
+            this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 284F));
+            this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 284F));
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth01, 0, 0);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth02, 1, 0);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth03, 2, 0);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth04, 3, 0);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth05, 0, 2);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth06, 1, 2);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth07, 2, 2);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth08, 3, 2);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth09, 0, 4);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth10, 1, 4);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth11, 2, 4);
+            this.tableLayoutPanel1.Controls.Add(this.lblMonth12, 3, 4);
+            this.tableLayoutPanel1.Location = new System.Drawing.Point(12, 74);
+            this.tableLayoutPanel1.Name = "tableLayoutPanel1";
+            this.tableLayoutPanel1.RowCount = 6;
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 144F));
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 144F));
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 144F));
+            this.tableLayoutPanel1.Size = new System.Drawing.Size(1136, 492);
+            this.tableLayoutPanel1.TabIndex = 9;
+            // 
+            // lblMonth02
+            // 
+            this.lblMonth02.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth02.BackColor = System.Drawing.Color.White;
+            this.lblMonth02.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth02.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth02.Location = new System.Drawing.Point(287, 0);
+            this.lblMonth02.Name = "lblMonth02";
+            this.lblMonth02.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth02.TabIndex = 7;
+            this.lblMonth02.Text = "2015年1月";
+            this.lblMonth02.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth03
+            // 
+            this.lblMonth03.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth03.BackColor = System.Drawing.Color.White;
+            this.lblMonth03.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth03.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth03.Location = new System.Drawing.Point(571, 0);
+            this.lblMonth03.Name = "lblMonth03";
+            this.lblMonth03.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth03.TabIndex = 7;
+            this.lblMonth03.Text = "2015年1月";
+            this.lblMonth03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth04
+            // 
+            this.lblMonth04.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth04.BackColor = System.Drawing.Color.White;
+            this.lblMonth04.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth04.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth04.Location = new System.Drawing.Point(855, 0);
+            this.lblMonth04.Name = "lblMonth04";
+            this.lblMonth04.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth04.TabIndex = 7;
+            this.lblMonth04.Text = "2015年1月";
+            this.lblMonth04.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth05
+            // 
+            this.lblMonth05.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth05.BackColor = System.Drawing.Color.White;
+            this.lblMonth05.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth05.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth05.Location = new System.Drawing.Point(3, 164);
+            this.lblMonth05.Name = "lblMonth05";
+            this.lblMonth05.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth05.TabIndex = 7;
+            this.lblMonth05.Text = "2015年1月";
+            this.lblMonth05.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth06
+            // 
+            this.lblMonth06.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth06.BackColor = System.Drawing.Color.White;
+            this.lblMonth06.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth06.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth06.Location = new System.Drawing.Point(287, 164);
+            this.lblMonth06.Name = "lblMonth06";
+            this.lblMonth06.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth06.TabIndex = 7;
+            this.lblMonth06.Text = "2015年1月";
+            this.lblMonth06.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth07
+            // 
+            this.lblMonth07.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth07.BackColor = System.Drawing.Color.White;
+            this.lblMonth07.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth07.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth07.Location = new System.Drawing.Point(571, 164);
+            this.lblMonth07.Name = "lblMonth07";
+            this.lblMonth07.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth07.TabIndex = 7;
+            this.lblMonth07.Text = "2015年1月";
+            this.lblMonth07.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth08
+            // 
+            this.lblMonth08.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth08.BackColor = System.Drawing.Color.White;
+            this.lblMonth08.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth08.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth08.Location = new System.Drawing.Point(855, 164);
+            this.lblMonth08.Name = "lblMonth08";
+            this.lblMonth08.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth08.TabIndex = 7;
+            this.lblMonth08.Text = "2015年1月";
+            this.lblMonth08.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth09
+            // 
+            this.lblMonth09.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth09.BackColor = System.Drawing.Color.White;
+            this.lblMonth09.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth09.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth09.Location = new System.Drawing.Point(3, 328);
+            this.lblMonth09.Name = "lblMonth09";
+            this.lblMonth09.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth09.TabIndex = 7;
+            this.lblMonth09.Text = "2015年1月";
+            this.lblMonth09.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth10
+            // 
+            this.lblMonth10.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth10.BackColor = System.Drawing.Color.White;
+            this.lblMonth10.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth10.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth10.Location = new System.Drawing.Point(287, 328);
+            this.lblMonth10.Name = "lblMonth10";
+            this.lblMonth10.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth10.TabIndex = 7;
+            this.lblMonth10.Text = "2015年1月";
+            this.lblMonth10.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth11
+            // 
+            this.lblMonth11.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth11.BackColor = System.Drawing.Color.White;
+            this.lblMonth11.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth11.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth11.Location = new System.Drawing.Point(571, 328);
+            this.lblMonth11.Name = "lblMonth11";
+            this.lblMonth11.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth11.TabIndex = 7;
+            this.lblMonth11.Text = "2015年1月";
+            this.lblMonth11.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblMonth12
+            // 
+            this.lblMonth12.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.lblMonth12.BackColor = System.Drawing.Color.White;
+            this.lblMonth12.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblMonth12.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblMonth12.Location = new System.Drawing.Point(855, 328);
+            this.lblMonth12.Name = "lblMonth12";
+            this.lblMonth12.Size = new System.Drawing.Size(278, 20);
+            this.lblMonth12.TabIndex = 7;
+            this.lblMonth12.Text = "2015年1月";
+            this.lblMonth12.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnDataDelete
+            // 
+            this.btnDataDelete.BackColor = System.Drawing.Color.Red;
+            this.btnDataDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDataDelete.ForeColor = System.Drawing.Color.White;
+            this.btnDataDelete.Location = new System.Drawing.Point(902, 574);
+            this.btnDataDelete.Name = "btnDataDelete";
+            this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
+            this.btnDataDelete.TabIndex = 2;
+            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.UseVisualStyleBackColor = false;
+            this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
+            // 
+            // btnDataEntry
+            // 
+            this.btnDataEntry.BackColor = System.Drawing.Color.Green;
+            this.btnDataEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDataEntry.ForeColor = System.Drawing.Color.White;
+            this.btnDataEntry.Location = new System.Drawing.Point(776, 574);
+            this.btnDataEntry.Name = "btnDataEntry";
+            this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
+            this.btnDataEntry.TabIndex = 1;
+            this.btnDataEntry.Text = "内容登録";
+            this.btnDataEntry.UseVisualStyleBackColor = false;
+            this.btnDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(1028, 574);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 3;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // label2
+            // 
+            this.label2.BackColor = System.Drawing.Color.GreenYellow;
+            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label2.Location = new System.Drawing.Point(12, 38);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(99, 22);
+            this.label2.TabIndex = 14;
+            this.label2.Text = "対象年度";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // numUDYear
+            // 
+            this.numUDYear.BackColor = System.Drawing.Color.White;
+            this.numUDYear.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.numUDYear.ForeColor = System.Drawing.Color.Black;
+            this.numUDYear.Location = new System.Drawing.Point(119, 38);
+            this.numUDYear.Name = "numUDYear";
+            this.numUDYear.ReadOnly = true;
+            this.numUDYear.Size = new System.Drawing.Size(80, 23);
+            this.numUDYear.TabIndex = 17;
+            this.numUDYear.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
+            this.numUDYear.ValueChanged += new System.EventHandler(this.numUDYear_ValueChanged);
+            // 
+            // FrmBBD
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 16F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+            this.BackColor = System.Drawing.Color.DimGray;
+            this.ClientSize = new System.Drawing.Size(1160, 617);
+            this.Controls.Add(this.numUDYear);
+            this.Controls.Add(this.label2);
+            this.Controls.Add(this.btnDataDelete);
+            this.Controls.Add(this.btnDataEntry);
+            this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.tableLayoutPanel1);
+            this.Controls.Add(this.label1);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
+            this.Margin = new System.Windows.Forms.Padding(4);
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmBBD";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmBBD_FormClosing);
+            this.Load += new System.EventHandler(this.FrmBBD_Load);
+            this.tableLayoutPanel1.ResumeLayout(false);
+            ((System.ComponentModel.ISupportInitialize)(this.numUDYear)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Label lblMonth01;
+        private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
+        private System.Windows.Forms.Label lblMonth02;
+        private System.Windows.Forms.Label lblMonth03;
+        private System.Windows.Forms.Label lblMonth04;
+        private System.Windows.Forms.Label lblMonth05;
+        private System.Windows.Forms.Label lblMonth06;
+        private System.Windows.Forms.Label lblMonth07;
+        private System.Windows.Forms.Label lblMonth08;
+        private System.Windows.Forms.Label lblMonth09;
+        private System.Windows.Forms.Label lblMonth10;
+        private System.Windows.Forms.Label lblMonth11;
+        private System.Windows.Forms.Label lblMonth12;
+        private System.Windows.Forms.Button btnDataDelete;
+        private System.Windows.Forms.Button btnDataEntry;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.NumericUpDown numUDYear;
+    }
+}
+
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/BankBusinessDay/FrmBBD.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/BankBusinessDay/FrmBBD.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/BankBusinessDay/FrmBBD.cs	(revision 302)
@@ -0,0 +1,233 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmBBD : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 初期フラグ
+        /// </summary>
+        bool m_initDataLoad = true;
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        private CalennderPage m_CalendPage = new CalennderPage();
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        public FrmBBD()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region 画面ロード
+        /// <summary>
+        /// 画面ロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmBBD_Load(object sender, EventArgs e)
+        {
+
+            // 営業年度取得
+            SetnumUDYear();
+
+            // 初期化
+            InitCreatePage();
+
+            // カレンダー表示
+            DisplayCalender();
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
+            m_bChengeAns = false;
+            m_initDataLoad = false;
+        }
+        #endregion
+
+        #region ×ボタン押下
+        /// <summary>
+        /// ×ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmBBD_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region データ登録
+        /// <summary>
+        /// データ登録
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            //データチェック
+            if (!DispFeildCheck()) return;
+
+            if (MessageBox.Show("銀行営業日を更新します、よろしいですか？", "登録確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
+
+            if (!BusinesCalenderEntry()) return;
+
+            CommonMotions.EntryEndMessage("銀行営業日データ");
+
+            this.Close();
+        }
+        #endregion
+
+        #region データ削除
+        /// <summary>
+        /// データ削除
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            IOBankBusinessDayMaster bbdDB = new IOBankBusinessDayMaster();
+            try
+            {
+                if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+
+                string wrkSQL = string.Format(" Where Truncate(YEARMONTH / 100, 0) = {0}", numUDYear.Value);
+                // データ削除
+                if (!bbdDB.DeleteAction(wrkSQL))
+                {
+                    bbdDB.rollback();
+                    return;
+                }
+
+                m_bChengeAns = false;
+
+                CommonMotions.RemoveEndMessage("銀行営業日データ");
+
+                // 終了
+                this.Close();
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                bbdDB.commit(); bbdDB.close(); bbdDB = null;
+            }
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region ラベルダブルクリック
+        /// <summary>
+        /// ラベルダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void lblDayData_DoubleClick(object sender, EventArgs e)
+        {
+            // 参照時は処理しない
+            if (m_EditLock) return;
+
+            Label lblData = (Label)sender;
+            // 色を変える
+            if (lblData.BackColor == Color.Red) lblData.BackColor = Color.White;
+            else if (lblData.BackColor == Color.White) lblData.BackColor = Color.Red;
+        }
+        #endregion
+
+        #region 対象年変更
+        /// <summary>
+        /// 対象年変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDYear_ValueChanged(object sender, EventArgs e)
+        {
+            if (m_initDataLoad) return;
+            
+            // カレンダー表示
+            DisplayCalender();
+        }
+        #endregion
+    }
+}
